﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace Windows_close_test
{
    public class delegateCommand : ICommand
    {
        private Action execute;
       
        public delegateCommand(Action execute)
        {
            this.execute = execute;
        }

       

        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            execute?.Invoke();

        }
    }
}
